Package: org.codehaus.groovy.ast.stmt

## [Java] Class DoWhileStatement

- org.codehaus.groovy.ast.stmt.DoWhileStatement

- All Implemented Interfaces and Traits:
    LoopingStatement

      public class DoWhileStatement
      extends Statement

  Represents a do { ... } while (condition) loop in Groovy

  Authors:
    James Strachan
  Version:
    \$Revision\$

- - ### Constructor Summary

    Constructors
    Constructor and description
    `DoWhileStatement (BooleanExpression booleanExpression, Statement loopBlock)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `BooleanExpression` | `getBooleanExpression()`
    `Statement` | `getLoopBlock()`
    `void` | `setBooleanExpression(BooleanExpression booleanExpression)`
    `void` | `setLoopBlock(Statement loopBlock)`
    `void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Statement` | `getStatementLabel, isEmpty, setStatementLabel`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public DoWhileStatement(BooleanExpression booleanExpression, Statement loopBlock)

  - ### Method Detail

    - #### public BooleanExpression getBooleanExpression()

    - #### public Statement getLoopBlock()

    - #### public void setBooleanExpression(BooleanExpression booleanExpression)

    - #### public void setLoopBlock(Statement loopBlock)

    - #### public void visit(GroovyCodeVisitor visitor)